#
# spec file for package gap-automgrp
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-automgrp
Version:        1.3.2
Release:        1.5
Summary:        GAP: Automata groups
License:        MIT
Group:          Productivity/Scientific/Math
URL:            https://gap-packages.github.io/automgrp/

Source:         https://github.com/gap-packages/automgrp/releases/download/v%version/automgrp-%version.tar.gz
BuildRequires:  gap-rpm-devel
BuildArch:      noarch
Requires:       gap-core >= 4.9.1
Requires:       gap-fga >= 1.1.0.1
Suggests:       gap-fr >= 2.0.0

%description
The AutomGrp package provides methods for computations with groups
and semigroups generated by finite automata or given by wreath
recursions, as well as with their finitely generated subgroups,
subsemigroups and elements.

%prep
%setup -qn automgrp-%version

%build

%install
%gappkg_simple_install

%files -f %name.files

%changelog
* Tue Oct  4 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.3.2
  * Fix some method ranks for compatibility with GAP 4.11
* Wed Nov 14 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 1.3.1
  * Operation FindGroupRelations now accepts IsGroup as one of
    the possible arguments.
  * The issue with the increase of the rank of IsFinite filter
    caused by IsAmenable TrueMethod was fixed.
  * InstallMethodWithRandomSource was incorporated for
    Random methods.
* Sun Jun 19 2016 jengelh@inai.de
- Update to new upstream release 1.3
  * Converters to and from `FR' package by Laurent Bartholdi were
  implemented (see AutomGrp2FR and FR2AutomGrp)
  * Minimization of automata was greatly optimized based on (also
  very much appreciated) the implementation of this function by
  Andrey Russev
  * Print methods were updated for several basic types
  * IsSphericallyTransitive has been updated
  * TransformationOnFirstLevel now always returns transformations
  (it was returning permutations when possible before)
* Fri Apr 18 2014 jengelh@inai.de
- Update to new upstream release 1.2.4
  * Replaced $ character in identifiers with underscores
  * Added IsAcyclic for Mealy automata
  * Added IsReversible, IsMDTrivial, MDReduction
  * Added MihailovaSystem
  * MarkovOperator is implemented for semigroups and now can accept
  the (possibly symbolic) weights
  * Added a possibility to define automata over 1-letter alphabet
  (needed for MD-reduction)
  * AllSections was extended to IsAutom argument
  * Section was extended to work with (semi)groups, not only with
  their elements
  * The order of generators in AG_UseRewritingSystem was updated
  according to a new GAP release
* Fri May 10 2013 jengelh@inai.de
- Split automgrp (version 1.1.4.1) off the gap RPM package
